wxWidgets: wxAuiPaneInfo Class Reference

| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxAuiPaneInfo Class Reference
Class List by Category » Window Docking (wxAUI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/aui/framemanager.h>`

## Detailed Description

wxAuiPaneInfo is part of the wxAUI class framework.

See also wxAUI Overview.

wxAuiPaneInfo specifies all the parameters for a pane. These parameters specify where the pane is on the screen, whether it is docked or floating, or hidden. In addition, these parameters specify the pane's docked position, floating position, preferred size, minimum size, caption text among many other parameters.

##

Library: wxAui

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxAuiManager, wxAuiDockArt

## Public Member Functions
| wxAuiPaneInfo ()
| wxAuiPaneInfo (const wxAuiPaneInfo &c)
| Copy constructor. More...
wxAuiPaneInfo & | Bottom ()
| Bottom() sets the pane dock position to the bottom side of the frame. More...
wxAuiPaneInfo & | BottomDockable (bool b=true)
| BottomDockable() indicates whether a pane can be docked at the bottom of the frame. More...
wxAuiPaneInfo & | Caption (const wxString &c)
| Caption() sets the caption of the pane. More...
wxAuiPaneInfo & | CaptionVisible (bool visible=true)
| CaptionVisible indicates that a pane caption should be visible. More...
wxAuiPaneInfo & | CloseButton (bool visible=true)
| CloseButton() indicates that a close button should be drawn for the pane. More...
wxAuiPaneInfo & | DefaultPane ()
| DefaultPane() specifies that the pane should adopt the default pane settings. More...
wxAuiPaneInfo & | DestroyOnClose (bool b=true)
| DestroyOnClose() indicates whether a pane should be destroyed when it is closed. More...
wxAuiPaneInfo & | Direction (int direction)
| Direction() determines the direction of the docked pane. More...
wxAuiPaneInfo & | Dock ()
| Dock() indicates that a pane should be docked. More...
wxAuiPaneInfo & | DockFixed (bool b=true)
| DockFixed() causes the containing dock to have no resize sash. More...
wxAuiPaneInfo & | Dockable (bool b=true)
| Dockable() specifies whether a frame can be docked or not. More...
wxAuiPaneInfo & | Fixed ()
| Fixed() forces a pane to be fixed size so that it cannot be resized. More...
wxAuiPaneInfo & | Float ()
| Float() indicates that a pane should be floated. More...
wxAuiPaneInfo & | Floatable (bool b=true)
| Floatable() sets whether the user will be able to undock a pane and turn it into a floating window. More...
wxAuiPaneInfo & | Gripper (bool visible=true)
| Gripper() indicates that a gripper should be drawn for the pane. More...
wxAuiPaneInfo & | GripperTop (bool attop=true)
| GripperTop() indicates that a gripper should be drawn at the top of the pane. More...
bool | HasBorder () const
| HasBorder() returns true if the pane displays a border. More...
bool | HasCaption () const
| HasCaption() returns true if the pane displays a caption. More...
bool | HasCloseButton () const
| HasCloseButton() returns true if the pane displays a button to close the pane. More...
bool | HasFlag (int flag) const
| HasFlag() returns true if the property specified by flag is active for the pane. More...
bool | HasGripper () const
| HasGripper() returns true if the pane displays a gripper. More...
bool | HasGripperTop () const
| HasGripper() returns true if the pane displays a gripper at the top. More...
bool | HasMaximizeButton () const
| HasMaximizeButton() returns true if the pane displays a button to maximize the pane. More...
bool | HasMinimizeButton () const
| HasMinimizeButton() returns true if the pane displays a button to minimize the pane. More...
bool | HasPinButton () const
| HasPinButton() returns true if the pane displays a button to float the pane. More...
wxAuiPaneInfo & | Hide ()
| Hide() indicates that a pane should be hidden. More...
wxAuiPaneInfo & | Icon (const wxBitmap &b)
| Icon() sets the icon of the pane. More...
bool | IsBottomDockable () const
| IsBottomDockable() returns true if the pane can be docked at the bottom of the managed frame. More...
bool | IsDockable () const
| Returns true if the pane can be docked at any side. More...
bool | IsDocked () const
| IsDocked() returns true if the pane is currently docked. More...
bool | IsFixed () const
| IsFixed() returns true if the pane cannot be resized. More...
bool | IsFloatable () const
| IsFloatable() returns true if the pane can be undocked and displayed as a floating window. More...
bool | IsFloating () const
| IsFloating() returns true if the pane is floating. More...
bool | IsLeftDockable () const
| IsLeftDockable() returns true if the pane can be docked on the left of the managed frame. More...
bool | IsMovable () const
| IsMoveable() returns true if the docked frame can be undocked or moved to another dock position. More...
bool | IsOk () const
| IsOk() returns true if the wxAuiPaneInfo structure is valid. More...
bool | IsResizable () const
| IsResizable() returns true if the pane can be resized. More...
bool | IsRightDockable () const
| IsRightDockable() returns true if the pane can be docked on the right of the managed frame. More...
bool | IsShown () const
| IsShown() returns true if the pane is currently shown. More...
bool | IsToolbar () const
| IsToolbar() returns true if the pane contains a toolbar. More...
bool | IsTopDockable () const
| IsTopDockable() returns true if the pane can be docked at the top of the managed frame. More...
wxAuiPaneInfo & | Layer (int layer)
| Layer() determines the layer of the docked pane. More...
wxAuiPaneInfo & | Left ()
| Left() sets the pane dock position to the left side of the frame. More...
wxAuiPaneInfo & | LeftDockable (bool b=true)
| LeftDockable() indicates whether a pane can be docked on the left of the frame. More...
wxAuiPaneInfo & | MaximizeButton (bool visible=true)
| MaximizeButton() indicates that a maximize button should be drawn for the pane. More...
wxAuiPaneInfo & | MinimizeButton (bool visible=true)
| MinimizeButton() indicates that a minimize button should be drawn for the pane. More...
wxAuiPaneInfo & | Movable (bool b=true)
| Movable indicates whether a frame can be moved. More...
wxAuiPaneInfo & | Name (const wxString &n)
| Name() sets the name of the pane so it can be referenced in lookup functions. More...
wxAuiPaneInfo & | PaneBorder (bool visible=true)
| PaneBorder indicates that a border should be drawn for the pane. More...
wxAuiPaneInfo & | PinButton (bool visible=true)
| PinButton() indicates that a pin button should be drawn for the pane. More...
wxAuiPaneInfo & | Position (int pos)
| Position() determines the position of the docked pane. More...
wxAuiPaneInfo & | Resizable (bool resizable=true)
| Resizable() allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false. More...
wxAuiPaneInfo & | Right ()
| Right() sets the pane dock position to the right side of the frame. More...
wxAuiPaneInfo & | RightDockable (bool b=true)
| RightDockable() indicates whether a pane can be docked on the right of the frame. More...
wxAuiPaneInfo & | Row (int row)
| Row() determines the row of the docked pane. More...
void | SafeSet (wxAuiPaneInfo source)
| Write the safe parts of a newly loaded PaneInfo structure "source" into "this" used on loading perspectives etc. More...
wxAuiPaneInfo & | SetFlag (int flag, bool option_state)
| SetFlag() turns the property given by flag on or off with the option_state parameter. More...
wxAuiPaneInfo & | Show (bool show=true)
| Show() indicates that a pane should be shown. More...
wxAuiPaneInfo & | ToolbarPane ()
| ToolbarPane() specifies that the pane should adopt the default toolbar pane settings. More...
wxAuiPaneInfo & | Top ()
| Top() sets the pane dock position to the top of the frame. More...
wxAuiPaneInfo & | TopDockable (bool b=true)
| TopDockable() indicates whether a pane can be docked at the top of the frame. More...
wxAuiPaneInfo & | Window (wxWindow *w)
| Window() assigns the window pointer that the wxAuiPaneInfo should use. More...
wxAuiPaneInfo & | operator= (const wxAuiPaneInfo &c)
| Makes a copy of the wxAuiPaneInfo object. More...
bool | IsValid () const
wxAuiPaneInfo & | BestSize (const wxSize &size)
| BestSize() sets the ideal size for the pane. More...
wxAuiPaneInfo & | BestSize (int x, int y)
| BestSize() sets the ideal size for the pane. More...
wxAuiPaneInfo & | Centre ()
| Center() sets the pane dock position to the left side of the frame. More...
wxAuiPaneInfo & | Center ()
| Center() sets the pane dock position to the left side of the frame. More...
wxAuiPaneInfo & | CentrePane ()
| CentrePane() specifies that the pane should adopt the default center pane settings. More...
wxAuiPaneInfo & | CenterPane ()
| CentrePane() specifies that the pane should adopt the default center pane settings. More...
wxAuiPaneInfo & | FloatingPosition (const wxPoint &pos)
| FloatingPosition() sets the position of the floating pane. More...
wxAuiPaneInfo & | FloatingPosition (int x, int y)
| FloatingPosition() sets the position of the floating pane. More...
wxAuiPaneInfo & | FloatingSize (const wxSize &size)
| FloatingSize() sets the size of the floating pane. More...
wxAuiPaneInfo & | FloatingSize (int x, int y)
| FloatingSize() sets the size of the floating pane. More...
wxAuiPaneInfo & | MaxSize (const wxSize &size)
| MaxSize() sets the maximum size of the pane. More...
wxAuiPaneInfo & | MaxSize (int x, int y)
| MaxSize() sets the maximum size of the pane. More...
wxAuiPaneInfo & | MinSize (const wxSize &size)
| MinSize() sets the minimum size of the pane. More...
wxAuiPaneInfo & | MinSize (int x, int y)
| MinSize() sets the minimum size of the pane. More...

## Public Attributes
wxString | name
| name of the pane More...
wxString | caption
| caption displayed on the window More...
wxBitmap | icon
| icon of the pane, may be invalid More...
wxWindow * | window
| window that is in this pane More...
wxFrame * | frame
| floating frame window that holds the pane More...
unsigned int | state
| a combination of wxPaneState values More...
int | dock_direction
| dock direction (top, bottom, left, right, center) More...
int | dock_layer
| layer number (0 = innermost layer) More...
int | dock_row
| row number on the docking bar (0 = first row) More...
int | dock_pos
| position inside the row (0 = first position) More...
wxSize | best_size
| size that the layout engine will prefer More...
wxSize | min_size
| minimum size the pane window can tolerate More...
wxSize | max_size
| maximum size the pane window can tolerate More...
wxPoint | floating_pos
| position while floating More...
wxSize | floating_size
| size while floating More...
int | dock_proportion
| proportion while docked More...
wxAuiPaneButtonArray | buttons
| buttons on the pane More...
wxRect | rect
| current rectangle (populated by wxAUI) More...

## Constructor & Destructor Documentation

## ◆ wxAuiPaneInfo() [1/2]

wxAuiPaneInfo::wxAuiPaneInfo | ( |  | ) |

## ◆ wxAuiPaneInfo() [2/2]

wxAuiPaneInfo::wxAuiPaneInfo | ( | const wxAuiPaneInfo & | c | ) |

Copy constructor.

## Member Function Documentation

## ◆ BestSize() [1/2]

wxAuiPaneInfo& wxAuiPaneInfo::BestSize | ( | const wxSize & | size | ) |

BestSize() sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

## ◆ BestSize() [2/2]

wxAuiPaneInfo& wxAuiPaneInfo::BestSize | ( | int | x,
|  | int | y
| ) |  |

BestSize() sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

## ◆ Bottom()

wxAuiPaneInfo& wxAuiPaneInfo::Bottom | ( |  | ) |

Bottom() sets the pane dock position to the bottom side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_BOTTOM).

## ◆ BottomDockable()

wxAuiPaneInfo& wxAuiPaneInfo::BottomDockable | ( | bool | b = `true` | ) |

BottomDockable() indicates whether a pane can be docked at the bottom of the frame.

## ◆ Caption()

wxAuiPaneInfo& wxAuiPaneInfo::Caption | ( | const wxString & | c | ) |

Caption() sets the caption of the pane.

## ◆ CaptionVisible()

wxAuiPaneInfo& wxAuiPaneInfo::CaptionVisible | ( | bool | visible = `true` | ) |

CaptionVisible indicates that a pane caption should be visible.

If false, no pane caption is drawn.

## ◆ Center()

wxAuiPaneInfo& wxAuiPaneInfo::Center | ( |  | ) |

Center() sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

## ◆ CenterPane()

wxAuiPaneInfo& wxAuiPaneInfo::CenterPane | ( |  | ) |

CentrePane() specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

## ◆ Centre()

wxAuiPaneInfo& wxAuiPaneInfo::Centre | ( |  | ) |

Center() sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

## ◆ CentrePane()

wxAuiPaneInfo& wxAuiPaneInfo::CentrePane | ( |  | ) |

CentrePane() specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

## ◆ CloseButton()

wxAuiPaneInfo& wxAuiPaneInfo::CloseButton | ( | bool | visible = `true` | ) |

CloseButton() indicates that a close button should be drawn for the pane.

## ◆ DefaultPane()

wxAuiPaneInfo& wxAuiPaneInfo::DefaultPane | ( |  | ) |

DefaultPane() specifies that the pane should adopt the default pane settings.

## ◆ DestroyOnClose()

wxAuiPaneInfo& wxAuiPaneInfo::DestroyOnClose | ( | bool | b = `true` | ) |

DestroyOnClose() indicates whether a pane should be destroyed when it is closed.

Normally a pane is simply hidden when the close button is clicked. Setting DestroyOnClose to true will cause the window to be destroyed when the user clicks the pane's close button.

## ◆ Direction()

wxAuiPaneInfo& wxAuiPaneInfo::Direction | ( | int | direction | ) |

Direction() determines the direction of the docked pane.

It is functionally the same as calling Left(), Right(), Top() or Bottom(), except that docking direction may be specified programmatically via the parameter.

## ◆ Dock()

wxAuiPaneInfo& wxAuiPaneInfo::Dock | ( |  | ) |

Dock() indicates that a pane should be docked.

It is the opposite of Float().

## ◆ Dockable()

wxAuiPaneInfo& wxAuiPaneInfo::Dockable | ( | bool | b = `true` | ) |

Dockable() specifies whether a frame can be docked or not.

It is the same as specifying TopDockable(b).BottomDockable(b).LeftDockable(b).RightDockable(b).

## ◆ DockFixed()

wxAuiPaneInfo& wxAuiPaneInfo::DockFixed | ( | bool | b = `true` | ) |

DockFixed() causes the containing dock to have no resize sash.

This is useful for creating panes that span the entire width or height of a dock, but should not be resizable in the other direction.

## ◆ Fixed()

wxAuiPaneInfo& wxAuiPaneInfo::Fixed | ( |  | ) |

Fixed() forces a pane to be fixed size so that it cannot be resized.

After calling Fixed(), IsFixed() will return true.

## ◆ Float()

wxAuiPaneInfo& wxAuiPaneInfo::Float | ( |  | ) |

Float() indicates that a pane should be floated.

It is the opposite of Dock().

## ◆ Floatable()

wxAuiPaneInfo& wxAuiPaneInfo::Floatable | ( | bool | b = `true` | ) |

Floatable() sets whether the user will be able to undock a pane and turn it into a floating window.

## ◆ FloatingPosition() [1/2]

wxAuiPaneInfo& wxAuiPaneInfo::FloatingPosition | ( | const wxPoint & | pos | ) |

FloatingPosition() sets the position of the floating pane.

## ◆ FloatingPosition() [2/2]

wxAuiPaneInfo& wxAuiPaneInfo::FloatingPosition | ( | int | x,
|  | int | y
| ) |  |

FloatingPosition() sets the position of the floating pane.

## ◆ FloatingSize() [1/2]

wxAuiPaneInfo& wxAuiPaneInfo::FloatingSize | ( | const wxSize & | size | ) |

FloatingSize() sets the size of the floating pane.

## ◆ FloatingSize() [2/2]

wxAuiPaneInfo& wxAuiPaneInfo::FloatingSize | ( | int | x,
|  | int | y
| ) |  |

FloatingSize() sets the size of the floating pane.

## ◆ Gripper()

wxAuiPaneInfo& wxAuiPaneInfo::Gripper | ( | bool | visible = `true` | ) |

Gripper() indicates that a gripper should be drawn for the pane.

## ◆ GripperTop()

wxAuiPaneInfo& wxAuiPaneInfo::GripperTop | ( | bool | attop = `true` | ) |

GripperTop() indicates that a gripper should be drawn at the top of the pane.

## ◆ HasBorder()

bool wxAuiPaneInfo::HasBorder | ( |  | ) | const

HasBorder() returns true if the pane displays a border.

## ◆ HasCaption()

bool wxAuiPaneInfo::HasCaption | ( |  | ) | const

HasCaption() returns true if the pane displays a caption.

## ◆ HasCloseButton()

bool wxAuiPaneInfo::HasCloseButton | ( |  | ) | const

HasCloseButton() returns true if the pane displays a button to close the pane.

## ◆ HasFlag()

bool wxAuiPaneInfo::HasFlag | ( | int | flag | ) | const

HasFlag() returns true if the property specified by flag is active for the pane.

## ◆ HasGripper()

bool wxAuiPaneInfo::HasGripper | ( |  | ) | const

HasGripper() returns true if the pane displays a gripper.

## ◆ HasGripperTop()

bool wxAuiPaneInfo::HasGripperTop | ( |  | ) | const

HasGripper() returns true if the pane displays a gripper at the top.

## ◆ HasMaximizeButton()

bool wxAuiPaneInfo::HasMaximizeButton | ( |  | ) | const

HasMaximizeButton() returns true if the pane displays a button to maximize the pane.

## ◆ HasMinimizeButton()

bool wxAuiPaneInfo::HasMinimizeButton | ( |  | ) | const

HasMinimizeButton() returns true if the pane displays a button to minimize the pane.

## ◆ HasPinButton()

bool wxAuiPaneInfo::HasPinButton | ( |  | ) | const

HasPinButton() returns true if the pane displays a button to float the pane.

## ◆ Hide()

wxAuiPaneInfo& wxAuiPaneInfo::Hide | ( |  | ) |

Hide() indicates that a pane should be hidden.

## ◆ Icon()

wxAuiPaneInfo& wxAuiPaneInfo::Icon | ( | const wxBitmap & | b | ) |

Icon() sets the icon of the pane.

Notice that the height of the icon should be smaller than the value returned by wxAuiDockArt::GetMetric(wxAUI_DOCKART_CAPTION_SIZE) to ensure that it appears correctly.

Since
  2.9.2

## ◆ IsBottomDockable()

bool wxAuiPaneInfo::IsBottomDockable | ( |  | ) | const

IsBottomDockable() returns true if the pane can be docked at the bottom of the managed frame.

See also
  IsDockable()

## ◆ IsDockable()

bool wxAuiPaneInfo::IsDockable | ( |  | ) | const

Returns true if the pane can be docked at any side.

See also
  IsTopDockable(), IsBottomDockable(), IsLeftDockable(), IsRightDockable()

Since
  2.9.2

## ◆ IsDocked()

bool wxAuiPaneInfo::IsDocked | ( |  | ) | const

IsDocked() returns true if the pane is currently docked.

## ◆ IsFixed()

bool wxAuiPaneInfo::IsFixed | ( |  | ) | const

IsFixed() returns true if the pane cannot be resized.

## ◆ IsFloatable()

bool wxAuiPaneInfo::IsFloatable | ( |  | ) | const

IsFloatable() returns true if the pane can be undocked and displayed as a floating window.

## ◆ IsFloating()

bool wxAuiPaneInfo::IsFloating | ( |  | ) | const

IsFloating() returns true if the pane is floating.

## ◆ IsLeftDockable()

bool wxAuiPaneInfo::IsLeftDockable | ( |  | ) | const

IsLeftDockable() returns true if the pane can be docked on the left of the managed frame.

See also
  IsDockable()

## ◆ IsMovable()

bool wxAuiPaneInfo::IsMovable | ( |  | ) | const

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

## ◆ IsOk()

bool wxAuiPaneInfo::IsOk | ( |  | ) | const

IsOk() returns true if the wxAuiPaneInfo structure is valid.

A pane structure is valid if it has an associated window.

## ◆ IsResizable()

bool wxAuiPaneInfo::IsResizable | ( |  | ) | const

IsResizable() returns true if the pane can be resized.

## ◆ IsRightDockable()

bool wxAuiPaneInfo::IsRightDockable | ( |  | ) | const

IsRightDockable() returns true if the pane can be docked on the right of the managed frame.

See also
  IsDockable()

## ◆ IsShown()

bool wxAuiPaneInfo::IsShown | ( |  | ) | const

IsShown() returns true if the pane is currently shown.

## ◆ IsToolbar()

bool wxAuiPaneInfo::IsToolbar | ( |  | ) | const

IsToolbar() returns true if the pane contains a toolbar.

## ◆ IsTopDockable()

bool wxAuiPaneInfo::IsTopDockable | ( |  | ) | const

IsTopDockable() returns true if the pane can be docked at the top of the managed frame.

See also
  IsDockable()

## ◆ IsValid()

bool wxAuiPaneInfo::IsValid | ( |  | ) | const

## ◆ Layer()

wxAuiPaneInfo& wxAuiPaneInfo::Layer | ( | int | layer | ) |

Layer() determines the layer of the docked pane.

The dock layer is similar to an onion, the inner-most layer being layer 0. Each shell moving in the outward direction has a higher layer number. This allows for more complex docking layout formation.

## ◆ Left()

wxAuiPaneInfo& wxAuiPaneInfo::Left | ( |  | ) |

Left() sets the pane dock position to the left side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_LEFT).

## ◆ LeftDockable()

wxAuiPaneInfo& wxAuiPaneInfo::LeftDockable | ( | bool | b = `true` | ) |

LeftDockable() indicates whether a pane can be docked on the left of the frame.

## ◆ MaximizeButton()

wxAuiPaneInfo& wxAuiPaneInfo::MaximizeButton | ( | bool | visible = `true` | ) |

MaximizeButton() indicates that a maximize button should be drawn for the pane.

## ◆ MaxSize() [1/2]

wxAuiPaneInfo& wxAuiPaneInfo::MaxSize | ( | const wxSize & | size | ) |

MaxSize() sets the maximum size of the pane.

## ◆ MaxSize() [2/2]

wxAuiPaneInfo& wxAuiPaneInfo::MaxSize | ( | int | x,
|  | int | y
| ) |  |

MaxSize() sets the maximum size of the pane.

## ◆ MinimizeButton()

wxAuiPaneInfo& wxAuiPaneInfo::MinimizeButton | ( | bool | visible = `true` | ) |

MinimizeButton() indicates that a minimize button should be drawn for the pane.

## ◆ MinSize() [1/2]

wxAuiPaneInfo& wxAuiPaneInfo::MinSize | ( | const wxSize & | size | ) |

MinSize() sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

## ◆ MinSize() [2/2]

wxAuiPaneInfo& wxAuiPaneInfo::MinSize | ( | int | x,
|  | int | y
| ) |  |

MinSize() sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

## ◆ Movable()

wxAuiPaneInfo& wxAuiPaneInfo::Movable | ( | bool | b = `true` | ) |

Movable indicates whether a frame can be moved.

## ◆ Name()

wxAuiPaneInfo& wxAuiPaneInfo::Name | ( | const wxString & | n | ) |

Name() sets the name of the pane so it can be referenced in lookup functions.

If a name is not specified by the user, a random name is assigned to the pane when it is added to the manager.

## ◆ operator=()

wxAuiPaneInfo& wxAuiPaneInfo::operator= | ( | const wxAuiPaneInfo & | c | ) |

Makes a copy of the wxAuiPaneInfo object.

## ◆ PaneBorder()

wxAuiPaneInfo& wxAuiPaneInfo::PaneBorder | ( | bool | visible = `true` | ) |

PaneBorder indicates that a border should be drawn for the pane.

## ◆ PinButton()

wxAuiPaneInfo& wxAuiPaneInfo::PinButton | ( | bool | visible = `true` | ) |

PinButton() indicates that a pin button should be drawn for the pane.

## ◆ Position()

wxAuiPaneInfo& wxAuiPaneInfo::Position | ( | int | pos | ) |

Position() determines the position of the docked pane.

## ◆ Resizable()

wxAuiPaneInfo& wxAuiPaneInfo::Resizable | ( | bool | resizable = `true` | ) |

Resizable() allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

This is simply an antonym for Fixed().

## ◆ Right()

wxAuiPaneInfo& wxAuiPaneInfo::Right | ( |  | ) |

Right() sets the pane dock position to the right side of the frame.

## ◆ RightDockable()

wxAuiPaneInfo& wxAuiPaneInfo::RightDockable | ( | bool | b = `true` | ) |

RightDockable() indicates whether a pane can be docked on the right of the frame.

## ◆ Row()

wxAuiPaneInfo& wxAuiPaneInfo::Row | ( | int | row | ) |

Row() determines the row of the docked pane.

## ◆ SafeSet()

void wxAuiPaneInfo::SafeSet | ( | wxAuiPaneInfo | source | ) |

Write the safe parts of a newly loaded PaneInfo structure "source" into "this" used on loading perspectives etc.

## ◆ SetFlag()

wxAuiPaneInfo& wxAuiPaneInfo::SetFlag | ( | int | flag,
|  | bool | option_state
| ) |  |

SetFlag() turns the property given by flag on or off with the option_state parameter.

## ◆ Show()

wxAuiPaneInfo& wxAuiPaneInfo::Show | ( | bool | show = `true` | ) |

Show() indicates that a pane should be shown.

## ◆ ToolbarPane()

wxAuiPaneInfo& wxAuiPaneInfo::ToolbarPane | ( |  | ) |

ToolbarPane() specifies that the pane should adopt the default toolbar pane settings.

## ◆ Top()

wxAuiPaneInfo& wxAuiPaneInfo::Top | ( |  | ) |

Top() sets the pane dock position to the top of the frame.

## ◆ TopDockable()

wxAuiPaneInfo& wxAuiPaneInfo::TopDockable | ( | bool | b = `true` | ) |

TopDockable() indicates whether a pane can be docked at the top of the frame.

## ◆ Window()

wxAuiPaneInfo& wxAuiPaneInfo::Window | ( | wxWindow * | w | ) |

Window() assigns the window pointer that the wxAuiPaneInfo should use.

This normally does not need to be specified, as the window pointer is automatically assigned to the wxAuiPaneInfo structure as soon as it is added to the manager.

## Member Data Documentation

## ◆ best_size

wxSize wxAuiPaneInfo::best_size

size that the layout engine will prefer

## ◆ buttons

wxAuiPaneButtonArray wxAuiPaneInfo::buttons

buttons on the pane

## ◆ caption

wxString wxAuiPaneInfo::caption

caption displayed on the window

## ◆ dock_direction

int wxAuiPaneInfo::dock_direction

dock direction (top, bottom, left, right, center)

## ◆ dock_layer

int wxAuiPaneInfo::dock_layer

layer number (0 = innermost layer)

## ◆ dock_pos

int wxAuiPaneInfo::dock_pos

position inside the row (0 = first position)

## ◆ dock_proportion

int wxAuiPaneInfo::dock_proportion

proportion while docked

## ◆ dock_row

int wxAuiPaneInfo::dock_row

row number on the docking bar (0 = first row)

## ◆ floating_pos

wxPoint wxAuiPaneInfo::floating_pos

position while floating

## ◆ floating_size

wxSize wxAuiPaneInfo::floating_size

size while floating

## ◆ frame

wxFrame* wxAuiPaneInfo::frame

floating frame window that holds the pane

## ◆ icon

wxBitmap wxAuiPaneInfo::icon

icon of the pane, may be invalid

## ◆ max_size

wxSize wxAuiPaneInfo::max_size

maximum size the pane window can tolerate

## ◆ min_size

wxSize wxAuiPaneInfo::min_size

minimum size the pane window can tolerate

## ◆ name

wxString wxAuiPaneInfo::name

name of the pane

## ◆ rect

wxRect wxAuiPaneInfo::rect

current rectangle (populated by wxAUI)

## ◆ state

unsigned int wxAuiPaneInfo::state

a combination of wxPaneState values

## ◆ window

wxWindow* wxAuiPaneInfo::window

window that is in this pane